View Issue Details

IDProjectCategoryView StatusLast Update
0000898OpenMPT[All Projects] Playback Compatibilitypublic2017-02-12 16:32
Reporterpigdevil2010 
Assigned ToSaga Musix 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx64OSWindowsOS Version10
Product VersionOpenMPT 1.26.07.00 / libopenmpt 0.2-beta20.3 (upgrade first) 
Target VersionOpenMPT 1.26.08.00 / libopenmpt 0.2-beta20.5 (current stable)Fixed in VersionOpenMPT 1.26.08.00 / libopenmpt 0.2-beta20.5 (current stable) 
Summary0000898: Impulse Tracker failing PeriodLimit.s3m test should be in compatibility settings
Description

Since Impulse Tracker fails the PeriodLimit.s3m test, many modules made by it such as [url=http://www.futurecrew.com/skaven/song_files/autonom.s3m]Skaven's Autonomous[/url] are played back incorrectly in OpenMPT (and ScreamTracker 3 as well, duh).

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

Activities

Saga Musix

Saga Musix

2016-12-10 16:33

administrator   ~0002810

That module sounds correct to me based on a quick listen - can you give an example where you think OpenMPT plays it incorrectly?

pigdevil2010

pigdevil2010

2016-12-10 16:51

reporter   ~0002811

There are channels that plays G8 note (maybe channel 8) mute every channels except that and listen to them closely.

Saga Musix

Saga Musix

2016-12-10 19:30

administrator   ~0002813

Fixed in r7456.

Issue History

Date Modified Username Field Change
2016-12-10 16:24 pigdevil2010 New Issue
2016-12-10 16:33 Saga Musix Note Added: 0002810
2016-12-10 16:51 pigdevil2010 Note Added: 0002811
2016-12-10 19:30 Saga Musix Assigned To => Saga Musix
2016-12-10 19:30 Saga Musix Status new => resolved
2016-12-10 19:30 Saga Musix Resolution open => fixed
2016-12-10 19:30 Saga Musix Fixed in Version => OpenMPT 1.27.01.00 (upcoming stable)
2016-12-10 19:30 Saga Musix Target Version => OpenMPT 1.27.01.00 (upcoming stable)
2016-12-10 19:30 Saga Musix Note Added: 0002813
2017-01-12 17:01 Saga Musix Fixed in Version OpenMPT 1.27.01.00 (upcoming stable) => OpenMPT 1.26.08.00 / libopenmpt 0.2-beta20.5 (current stable)
2017-01-12 17:01 Saga Musix Target Version OpenMPT 1.27.01.00 (upcoming stable) => OpenMPT 1.26.08.00 / libopenmpt 0.2-beta20.5 (current stable)